SystemOrganization addCategory: #'GT-Examples-Examples'!

!String class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:04'!
gtInspectorFourtyTwo
	<gtExample>
	^ '42'! !

!Pragma class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:24'!
gtExamplePragma
	<gtExample>
	<label: 'Pragma'>
	
	^ (Pragma class >> #gtExamplePragma) pragmas anyOne! !

!BlockClosure class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:08'!
gtExampleEmpty
	<gtExample>
	<label: 'Empty'>
	
	^ [  ]! !

!BlockClosure class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:08'!
gtExampleOneArgument
	<gtExample>
	<label: 'With one argument'>
	
	^ [ :x | x ]! !

!BlockClosure class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:08'!
gtExampleTwoArguments
	<gtExample>
	<label: 'With two arguments'>
	
	^ [ :x :y | x + y ]! !

!Collection class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:04'!
gtExampleEmptyArray
	<gtExample>
	^ #()! !

!Collection class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:04'!
gtExampleOrderedCollectionWithOneElement
	<gtExample>
	^ #(42) asOrderedCollection! !

!RBMethod class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleThisMethod
	<gtExample>
	<label: 'This method'>
	
	^ RBMethod class>>#gtExampleThisMethod! !

!RGMethodDefinition class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleMethod
	<gtExample>
	<label: 'RMethodDefinition'>
	
	^ (GTInspector class >> #gtInspectorExtensionsIn:) asRingDefinition! !

!RPackage class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleEmpty
	<gtExample>
	<label: 'Empty package'>
	
	^ self named: 'Empty'! !

!ReadStream class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleReadStream
	<gtExample>
	<label: 'Stream'>
	
	^ 'GTInspector' readStream! !

!ReadStream class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleReadStreamAtEnd
	<gtExample>
	<label: 'Stream at end'>
	
	^ 'GTInspector' readStream 
		upToEnd;
		yourself! !

!ReadStream class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleReadStreamEmpty
	<gtExample>
	<label: 'Empty stream'>
	
	^ '' readStream! !

!ReadStream class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleReadStreamWithPosition
	<gtExample>
	<label: 'Stream with position'>
	
	^ 'GTInspector' readStream 
		next; 
		next; 
		yourself! !

!MethodModified class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:20'!
gtExampleMethodModified
	" this is a fake annoucement, we just pick 2 arbitrary methods "
	<gtExample>
	<label: 'Diff old and new method'>
	
	^ MethodModified new 
		oldMethod: (MethodModified >> #gtMethodDiffIn:);
		method: (MethodModified class >> #gtExampleMethodModified);
		yourself! !

!Integer class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:00'!
gtExample42
	<gtExample>
	^ 42! !

!Character class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:04'!
gtExampleA
	<gtExample>
	^ $A! !

!Character class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:04'!
gtExampleSpace
	<gtExample>
	^ self space! !

!RBRefactoryChange class methodsFor: '*GT-Examples-Examples' stamp: 'TudorGirba 2/8/2016 13:25'!
gtExampleEmpty
	<gtExample>
	
	^ self new! !

!GlobalVariable class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:00'!
gtExampleSmalltalk
	<gtExample>
	^ Smalltalk globals associations detect: [:assoc | assoc key = #Smalltalk ]! !

!Text class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleSimple
	<gtExample>
	<label: 'Simple'>
	
	^ 'fourtytwo' asText! !

!ByteArray class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:04'!
gtExampleSimple
	<gtExample>
	^ #[2r1010 8r333 16rFF]! !

!KMDispatcher class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:18'!
gtExampleDispatcherWithTarget
	<gtExample>
	<label: 'Dispatcher with target'>
	
	^ self target: Morph new! !

!KMDispatcher class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:18'!
gtExampleDispatcherWithTargetAndShortcuts
	<gtExample>
	<label: 'Dispatcher with target and shortcuts'>
	
	^ BorderedMorph new kmDispatcher! !

!KMDispatcher class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:19'!
gtExampleEmptyDispatcher
	<gtExample>
	<label: 'Empty dispatcher'>
	
	^ self new! !

!Symbol class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:03'!
gtExampleFourtyTwo
	<gtExample>
	^ #fourtyTwo! !

!Class class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:04'!
gtExampleClass
	<gtExample>
	^ self! !

!RBMessageNode class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:00'!
gtExampleAddition
	<gtExample>
	^ RBMessageNode 
				receiver: (RBVariableNode named: 'self')
				selector: #+
				arguments: (Array with: (RBLiteralNode value: 0))! !

!Morph class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:20'!
gtExampleEmpty
	<gtExample>
	<label: 'Empty'>
	
	^ self new! !

!Morph class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:20'!
gtExampleSubmorphs
	<gtExample>
	<label: 'Submorphs'>
	
	^ self new
		addMorph: self new;
		addMorph: self new;
		yourself! !

!Time class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleNow
	<gtExample>
	<label: 'Now'>
	
	^ self now! !

!SymbolicBytecode class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:26'!
gtExampleSymbolicBytecode
	<gtExample>
	<label: 'Symbolic Bytecode'>
	
	^ (SymbolicBytecode class >> #gtExampleSymbolicBytecode) symbolicBytecodes anyOne! !

!SocketStream class methodsFor: '*GT-Examples-Examples' stamp: 'JurajKubelka 10/7/2015 13:22'!
gtExampleOnTCPSocket
	<gtExample>
	<label: 'Stream on TCP socket'>
	
	^ SocketStream on: Socket newTCP! !

!SocketStream class methodsFor: '*GT-Examples-Examples' stamp: 'JurajKubelka 10/7/2015 13:23'!
gtExampleOnUDPSocket
	<gtExample>
	<label: 'Stream on UDP socket'>
	
	^ SocketStream on: Socket newUDP! !

!Form class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:16'!
gtExampleEmptyForm32x32
	<gtExample>
	<label: 'Empty Form 32x32'>
	
	^ Form extent: 32@32! !

!Duration class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:03'!
gtExampleOneDay
	<gtExample>
	^ self days: 1! !

!Duration class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:03'!
gtExampleOneHour
	<gtExample>
	^ self hours: 1! !

!Duration class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:03'!
gtExampleOneMinute
	<gtExample>
	^ self minutes: 1! !

!GLMSystemWindow class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:02'!
gtExampleEmptyBrowser
	<gtExample>
	^ self new model: GLMBrowser new! !

!SharedQueue class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/30/2016 00:39'!
gtExampleBasic
	<gtExample>
	^ self new
		nextPut: 4;
		nextPut: 2;
		yourself! !

!Date class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleToday
	<gtExample>
	<label: 'Today'>
	
	^ self today! !

!Bitmap class methodsFor: '*GT-Examples-Examples' stamp: 'StephaneDucasse 6/16/2016 08:46'!
gtExampleIconBits
	<gtExample>
	<label: 'Icon bits'>
	^ (Smalltalk ui icons iconNamed: #pharoIcon) bits! !

!RBNamespace class methodsFor: '*GT-Examples-Examples' stamp: 'TudorGirba 2/8/2016 13:25'!
gtExampleEmpty
	<gtExample>
	
	^ self new! !

!KMKeymap class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:19'!
gtExampleKeymapA
	<gtExample>
	<label: 'Keymap: a'>
	
	^ self 
		named: #a 
		shortcut: $a asKeyCombination
		action: [ ]! !

!KMKeymap class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:19'!
gtExampleKeymapFOO
	<gtExample>
	<label: 'Keymap: FOO'>
	
	^ self 
		named: #Foo
		shortcut: $F asKeyCombination, $O asKeyCombination, $O asKeyCombination
		action: [ ]! !

!IRInstruction class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 3/27/2015 18:33'!
gtExamplePushReciever
	<gtExample>
	^ (self class >> #gtExamplePushReciever) ast ir startSequence sequence first! !

!OCAbstractScope class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:24'!
gtExampleMethodScope
	<gtExample>
	<label: 'Method scope'>
	
	^ (self class >> #gtExampleMethodScope) ast scope! !

!MetacelloProjectSpec class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:19'!
gtExampleMetacelloSpec
	<gtExample>
	<label: 'Metacello project reference'>
	
	^ (ConfigurationOfGTInspectorCore project version: #development) projects anyOne! !

!Announcer class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:08'!
gtExampleEmptyAnnouncer
	<gtExample>
	<label: 'Empty Announcer'>
	
	^ self new! !

!Announcer class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:08'!
gtExampleSystemAnnouncer
	<gtExample>
	<label: 'System Announcer'>
	
	^ SystemAnnouncer uniqueInstance! !

!Context class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleTthisContext
	<gtExample>
	<label: 'thisContext'>
	
	^ thisContext! !

!OrderedDictionary class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 10/29/2015 13:58'!
exampleWithDifferentObjects
	<gtExample>
	<label: 'Example with different objects'>
	
	^ OrderedDictionary  new
			at: 'Time'   put: Time now;
			at: 'Color'  put: Color cyan;
			at: 'Date'   put: Date today;
			at: 'Morph'  put: HSVAColorSelectorMorph new;
			yourself.! !

!GLMPane class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:03'!
gtExampleBasic
	<gtExample>
	^ self named: 'Basic'! !

!FileReference class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:04'!
gtExampleDirectory
	<gtExample>
	| directory subDirectory |
	directory := FileSystem memory workingDirectory / 'directory'.
	directory createDirectory.
	directory / 'file1.txt' writeStreamDo: [ :stream | stream nextPutAll: 'File1 contents' ].
	directory / 'file2.txt' writeStreamDo: [ :stream | stream nextPutAll: 'File2 contents' ].
	subDirectory := (directory / 'subdirectory') createDirectory.
	subDirectory / 'file3.txt' writeStreamDo: [ :stream | stream nextPutAll: 'File3 contents' ].
	^ directory! !

!FileReference class methodsFor: '*GT-Examples-Examples' stamp: 'StephaneDucasse 6/16/2016 08:46'!
gtExampleGif
	<gtExample>
	^ (FileSystem memory workingDirectory / 'pharoicon.gif')
		writeStreamDo: [ :stream | 
			GIFReadWriter
				putForm: (Smalltalk ui icons iconNamed: #pharoIcon)
				onStream: stream ];
		yourself! !

!FileReference class methodsFor: '*GT-Examples-Examples' stamp: 'StephaneDucasse 6/16/2016 08:46'!
gtExamplePng
	<gtExample>
	^ (FileSystem memory workingDirectory / 'pharoicon.png')
		writeStreamDo: [ :stream | 
			PNGReadWriter
				putForm: (Smalltalk ui icons iconNamed: #pharoIcon)
				onStream: stream ];
		yourself! !

!FileReference class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:04'!
gtExampleText
	<gtExample>
	^ FileSystem memory workingDirectory / 'sample.txt' 
		writeStreamDo: [ :stream |
			stream nextPutAll: self comment ];
		yourself! !

!GLMPresentation class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:02'!
gtExampleBasic
	<gtExample>
	^ self new! !

!Canvas class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleNullCanvas
	<gtExample>
	<label: 'Canvas: Null'>
	
	^ NullCanvas new! !

!Canvas class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleWorldCanvas
	<gtExample>
	<label: 'Canvas: World'>
	
	^ Canvas new! !

!Canvas class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleWorldCanvasWithAlpha
	<gtExample>
	<label: 'Canvas: World+ALpha'>
	
	^ (AlphaBlendingCanvas on: Canvas new)	
		alpha: 0.3! !

!Canvas class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleWorldCanvasWithShadow
	<gtExample>
	<label: 'Canvas: World+Shadow'>
	
	^ (ShadowDrawingCanvas on: Canvas new)
		shadowColor: (Color black alpha: 0.5)! !

!MetacelloProjectReferenceSpec class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:19'!
gtExampleProjectReferenceSpec
	<gtExample>
	<label: 'Metacello project reference'>
	
	^ (ConfigurationOfGTInspectorCore project version: #development) projects anyOne! !

!GLMBrowser class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:02'!
gtExampleBasic
	<gtExample>
	^ GLMWrapper new! !

!IRMethod class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 3/27/2015 17:33'!
gtExampleNewMethod
	<gtExample>
	^ IRBuilder new 
		addTemps: #(a);
		pushReceiver;
		pushLiteral: 1;
		storeTemp: #a;
		ir! !

!IRMethod class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 3/27/2015 17:33'!
gtExampleThisMethod
	<gtExample>
	^ (self class >> #gtExampleThisMethod) ast ir! !

!ZnMimePart class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleEmptyField
	<gtExample>
	<label: 'Empty field'>
	
	^ self fieldName: 'value' value: ''! !

!ZnMimePart class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleField
	<gtExample>
	<label: 'Field'>
	
	^ self fieldName: 'message' value: 'hello world'! !

!ZnMimePart class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleFile
	<gtExample>
	<label: 'File'>
	
	^ self 
		fieldName: 'file' 
		fileName: 'message.txt' 
		entity: (ZnEntity text: 'Hello World')! !

!ZnStringEntity class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleEmptyHtml
	<gtExample>
	<label: 'Empty HTML'>
	
	^ self html: ''! !

!ZnStringEntity class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleEmptyText
	<gtExample>
	<label: 'Empty text'>
	
	^ self text: ''! !

!ZnStringEntity class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleEmptyXml
	<gtExample>
	<label: 'Empty XML'>
	
	^ self xml: ''! !

!ZnStringEntity class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleHtml
	<gtExample>
	<label: 'HTML'>
	
	^ self html: '<p><b>Hello</b> <i>World<i></p>'! !

!ZnStringEntity class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleText
	<gtExample>
	<label: 'Text'>
	
	^ self text: 'Hello World'! !

!ZnStringEntity class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleXml
	<gtExample>
	<label: 'XML'>
	
	^ self xml: '<message>Hello World</message>'! !

!DateAndTime class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:14'!
gtExampleNow
	<gtExample>
	<label: 'Now'>
	
	^ self now! !

!KMRepository class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:05'!
gtExampleDefault
	<gtExample>
	^ self default! !

!ProtoObject class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 1/12/2016 15:56'!
gtExampleBasic
	<gtExample>
	^ ProtoObject new! !

!KMCategory class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 3/27/2015 16:16'!
gtExampleCategoryWithEntry
	<gtExample>
	^ (self named: '1 Entry') 
		addKeymapEntry: (KMKeymap 
								named: #FooBar 
								shortcut: $a asKeyCombination
								action: [ ]);
		yourself! !

!KMCategory class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 3/27/2015 15:56'!
gtExampleEmptyCategory
	<gtExample>
	^ self named: 'Empty Example'! !

!Dictionary class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:15'!
gtExampleEmptyDictionary
	<gtExample>
	<label: 'Empty dictionary'>

	^ Dictionary new! !

!Dictionary class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:15'!
gtExampleOneElementDictionaryFrom: anEmptyDictionary
	<gtExample>
	<label: 'One element dictionary'>
	<depends: #gtExampleEmptyDictionary>
	
	anEmptyDictionary at: 4 put: 2.
	^ anEmptyDictionary! !

!Dictionary class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:15'!
gtExampleRemoveElementFrom: anEmptyDictionary
	<gtExample>
	<label: 'Remove element'>
	<depends: #gtExampleOneElementDictionaryFrom:>
	
	anEmptyDictionary removeKey: 4.
	^ anEmptyDictionary! !

!Dictionary class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:15'!
gtExampleTwoElementsDictionaryFrom: aDictionary
	<gtExample>
	<label: 'Two elements dictionary'>
	<depends: #gtExampleOneElementDictionaryFrom:>
	
	aDictionary at: #fourty put: 'two'.
	^ aDictionary! !

!LiteralVariable class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 3/27/2015 17:20'!
gtExampleUniqueLiteralVariable
	<gtExample>
	^ self named: #thisLiteralVariableNameIsProbablyNotTakenYet! !

!Object class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:05'!
gtExampleBasic
	<gtExample>
	^ self new! !

!MCRepository class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 5/5/2015 14:51'!
gtDictionaryRepositoryExample
	<gtExample>
	^ MCDictionaryRepository new! !

!ReflectiveMethod class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 3/27/2015 17:16'!
gtExampleMethod
	<gtExample>
	^ self on: (self class >> #gtExampleMethod)! !

!ZnHeaders class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleDefaultRequestHeaders
	<gtExample>
	<label: 'Default request headers'>
	
	^ self defaultRequestHeaders! !

!ZnHeaders class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleDefaultResponseHeaders
	<gtExample>
	<label: 'Default response headers'>
	
	^ self defaultResponseHeaders! !

!MetacelloSpec class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:19'!
gtExampleMetacelloSpec
	<gtExample>
	<label: 'Metacello group reference'>
	
	^ (ConfigurationOfGTInspectorCore project version: #development) groups anyOne! !

!GLMTabulator class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:05'!
gtExampleSimple
	<gtExample>
	^ GLMTabulator new 
		with: [ :t |
			t column: #one.
			t transmit to: #one; andShow: [ :a | a text] ];
		startOn: 42! !

!GeneralScrollPane class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:04'!
gtScrollerWithWrappingAndNoSpaceFilling
	"
	self gtScrollerWithWrappingAndNoSpaceFilling openInWindow
	"

	<gtExample>
	| scrollpane pane |
	scrollpane := GeneralScrollPane new.
	scrollpane changeScrollerTableLayout.
	pane := PanelMorph new
		changeTableLayout;
		hResizing: #spaceFill;
		vResizing: #spaceFill;
		yourself.
	scrollpane scrollTarget: pane.
	Object methods
		do: [ :each | 
			| methodLabel |
			methodLabel := each selector asTextMorph lock 
				backgroundColor: Color lightBlue.
				
			pane addMorph: methodLabel ].
	scrollpane
		hResizing: #shrinkWrap;
		height: 400.
	^ scrollpane! !

!GeneralScrollPane class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:04'!
gtScrollerWithWrappingAndSpaceFilling
	"
	self gtScrollerWithWrappingAndSpaceFilling openInWindow
	"

	<gtExample>
	| scrollpane pane |
	scrollpane := GeneralScrollPane new.
	scrollpane changeScrollerTableLayout.
	pane := PanelMorph new
		changeTableLayout;
		hResizing: #spaceFill;
		vResizing: #spaceFill;
		yourself.
	scrollpane scrollTarget: pane.
	Object methods
		do: [ :each | 
			| methodLabel |
			methodLabel := Morph new
				changeTableLayout;
				wrapCentering: #center;
				hResizing: #spaceFill;
				vResizing: #spaceFill;
				color: Color lightBlue.
			methodLabel addMorphBack: (each selector asTextMorph lock).
				
			pane addMorph: methodLabel ].
	scrollpane
		hResizing: #shrinkWrap;
		height: 400.
	^ scrollpane! !

!Float class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:23'!
gtExampleE
	<gtExample>
	<label: 'Float with e'>
	
	^ 42.42e42! !

!Float class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:24'!
gtExampleNegativeE
	<gtExample>
	<label: 'Float with negative e'>
	
	^ 42.42e-42! !

!Float class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:24'!
gtExampleZero
	<gtExample>
	<label: 'Zero'>
	
	^ 0.0! !

!Set class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:26'!
gtExampleSimple
	<gtExample>
	<label: 'Simple'>
	
	^ #('fourtytwo' 42) asSet! !

!Number class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:23'!
gtExampleFourtyTwo
	<gtExample>
	<label: '42'>
	
	^ 42! !

!ZnStatusLine class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleForbidden
	<gtExample>
	<label: 'Forbidden'>
	
	^ self forbidden! !

!ZnStatusLine class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleNotFound
	<gtExample>
	<label: 'Not Found'>
	
	^ self notFound! !

!ZnStatusLine class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:09'!
gtExampleOk
	<gtExample>
	<label: 'Ok'>
	
	^ self ok! !

!IRSequence class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 3/27/2015 17:38'!
gtExampleSequence
	<gtExample>
	^ (self class >> #gtExampleSequence) ast ir startSequence! !

!CompiledMethod class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:04'!
gtExampleSimple
	<gtExample>
	^ self class>>#gtExampleSimple! !

!ZnRequestLine class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetEmpty
	<gtExample>
	<label: 'Request line: GET <>'>
	
	^ self method: #GET uri: ''! !

!ZnRequestLine class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetLocalhost8080
	<gtExample>
	<label: 'Request line: GET http://localhost:8080'>
	
	^ self method: #GET uri: 'http://localhost:8080'! !

!ZnRequestLine class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetPharo
	<gtExample>
	<label: 'Request line: GET http://pharo.org'>
	
	^ self method: #GET uri: 'http://pharo.org'! !

!ZnRequestLine class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetRoot
	<gtExample>
	<label: 'Request line: GET /'>
	
	^ self method: #GET uri: '/'! !

!RBProgramNode class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:25'!
gtExampleRBProgramNode
	<gtExample>
	<label: 'RBProgramNode'>
	
	^ (GTInspector class >> #gtInspectorExtensionsIn:) parseTree! !

!MessageTally class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:19'!
gtExampleSimplePrintString
	<gtExample>
	<label: 'Simple printString'>
	
	^ MessageTally new 
		spyEvery: 1 on: [10 timesRepeat: [1.23 printString]];
		yourself! !

!HelpTopic class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:01'!
gtExampleComposedTopic
	<gtExample>
	|rootTopic|
	
	rootTopic := HelpTopic new
		title: 'ExampleTopic';
		contents: 'I am an example topic'.
	rootTopic addSubtopic: (HelpTopic new
		title: 'Subtopic1';
		contents: 'I am an subtopic topic').
	rootTopic addSubtopic: (HelpTopic new
		title: 'Subtopic2').
		
	^ rootTopic
		! !

!HelpTopic class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:00'!
gtExampleSingleTopic
	<gtExample>
	
	^ HelpTopic new
		title: 'ExampleTopic';
		contents: 'I am an example topic'
		! !

!Socket class methodsFor: '*GT-Examples-Examples' stamp: 'JurajKubelka 10/7/2015 13:18'!
gtExampleTCPSocket
	<gtExample>
	<label: 'TCP Socket'>
	
	^ Socket newTCP! !

!Socket class methodsFor: '*GT-Examples-Examples' stamp: 'JurajKubelka 10/7/2015 13:18'!
gtExampleUDPSocket
	<gtExample>
	<label: 'UDP Socket'>
	
	^ Socket newUDP! !

!FileSystem class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:15'!
gtExampleZip
	<gtExample>
	<label: 'Zip file system'>
	
	| zipFile zip |
	zipFile := FileSystem memory workingDirectory / 'test.zip'.
	zip := (FileSystem zip: zipFile) open.
	zip / 'sample.txt'
		writeStreamDo: [ :stream |
				stream nextPutAll: self comment ];
			yourself.
	^ zip! !

!Color class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 4/9/2015 12:03'!
gtExampleColorRed
	<gtExample>
	
	^ Color red! !

!ZnRequest class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:27'!
gtExampleGetEmpty
	<gtExample>
	<label: 'Request message: GET <>'>
	
	^ self method: #GET url: ''! !

!ZnRequest class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:11'!
gtExampleGetLocalhost8080
	<gtExample>
	<label: 'Request message: GET http://localhost:8080'>
	
	^ self method: #GET url: 'http://localhost:8080'! !

!ZnRequest class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:11'!
gtExampleGetPharo
	<gtExample>
	<label: 'Request message: GET http://pharo.org'>
	
	^ self method: #GET url: 'http://pharo.org'! !

!ZnRequest class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetRoot
	<gtExample>
	<label: 'Request message: GET /'>
	
	^ self method: #GET url: '/'! !

!SmalltalkImage class methodsFor: '*GT-Examples-Examples' stamp: 'TudorGirba 4/6/2015 12:40'!
gtExampleCurrent
	<gtExample>
	^ self current! !

!VirtualMachine class methodsFor: '*GT-Examples-Examples' stamp: 'TudorGirba 4/6/2015 12:30'!
gtExampleBasic
	<gtExample>
	^ self new! !

!Array class methodsFor: '*GT-Examples-Examples' stamp: 'AndreiChis 3/26/2015 00:03'!
gtExample
	<gtExample>
	^ #(42 42.0 #fourtytwo 'fourtytwo')! !

!ZnResponse class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetEmpty
	<gtExample>
	<label: 'Response: Bad request <>'>
	
	^ self badRequest: ZnRequest gtExampleGetEmpty! !

!ZnResponse class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetLocalhost8080
	<gtExample>
	<label: 'Response: Not Found http://localhost:8080'>
	
	^ self notFound: 'http://localhost:8080'! !

!ZnResponse class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetPharo
	<gtExample>
	<label: ' Response: Created http://pharo.org'>
	
	^ self created: 'http://pharo.org'! !

!ZnResponse class methodsFor: '*GT-Examples-Examples' stamp: 'StefanReichhart 9/6/2015 17:10'!
gtExampleGetRoot
	<gtExample>
	<label: 'Response: Redirect /'>
	
	^ self redirect: '/'! !
